Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::CheckButton Class Reference

A GtkCheckButton C++ wrapper class. More...

`#include <inti/gtk/checkbutton.h>`

Inheritance diagram for Inti::Gtk::CheckButton:

List of all members.

## Public Member Functions

Constructors

- CheckButton ()
    Construct a new CheckButton.
- CheckButton (const String &label, bool use_underline=false)
    Construct a new CheckButton with a Label to its right.
- virtual ~CheckButton ()
    Destructor.

Accessors

- GtkCheckButton * gtk_check_button () const
    Get a pointer to the GtkCheckButton structure.
- GtkCheckButtonClass * gtk_check_button_class () const
    Get a pointer to the GtkCheckButtonClass structure.
- operator GtkCheckButton * () const
    Conversion operator; safely converts a CheckButton to a GtkCheckButton pointer.

## Protected Member Functions

Constructors

- CheckButton (GtkCheckButton *check_button, bool reference=false)
    Construct a new CheckButton from an existing GtkCheckButton.

## Detailed Description

A GtkCheckButton C++ wrapper class.

A CheckButton places a discrete ToggleButton next to a widget, (usually a Label). See the section on ToggleButton widgets for more information about toggle/check buttons. The important signal "toggled" is also inherited from ToggleButton.

## Constructor & Destructor Documentation

Inti::Gtk::CheckButton::CheckButton | ( | GtkCheckButton * | check_button,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new CheckButton from an existing GtkCheckButton. Parameters:
  check_button | A pointer to a GtkCheckButton.
  reference | Set false if the initial reference count is floating, set true if it's not.
The check_button can be a newly created GtkCheckButton or an existing GtkCheckButton. (see G::Object::Object).

Inti::Gtk::CheckButton::CheckButton | ( | const String & | label,
|  | bool | use_underline = false
| ) | `[explicit]`

  | Construct a new CheckButton with a Label to its right. Parameters:
  label | The text for the check button.
  use_underline | true if the label contains an underscore, indicating a mnemonic.
If use_underline is true an underscore in label indicates that the next character is the mnemonic accelerator for the checkbutton.

The documentation for this class was generated from the following file:

- checkbutton.h

Main Page - Footer